-- lese die Unternehmen
select 
	VUID,
	Name,
	Kurzname,
	SparteID as Sparte,
	RFormID as Rechtsform
into
	Unternehmen
from 
	[thomas-be19476d].[drvb].[dbo].[unternehmen]
go

-- lese die Sparten
select 
	SparteID,
	Bezeichnung as Name,
	Kurzbezeichnung as Kurzname,
	Sortierung
into
	Sparten
from 
	[thomas-be19476d].[drvb].[dbo].[Sparten]
where
	ParentID is null
go

-- Faktendaten kopieren
select
	zid,
	uid,
	vbeitrag
from
	[thomas-be19476d].[stone].[dbo].[measure_bs]
	
-- Agrippina Versicherung AG (168)
--    Agrippina Leben AG (342)
--    Agrippina Rck AG (455)

-- Allianz Versicherung AG (175)
--	  Allianz Leben (345)
--	  Allianz Globus AG (207)
--    Allianz VK (570)
--    Allianz PK (548)

-- Klner Postversicherung (87)
-- Versicherungskammer Bayern (165)
-- Zeit
--	  2006 (1)
--    2007 (2)
--    2008 (3)
--    2009 (4)

insert into Fakten select ZeitID,87,Gewinn 
from Fakten where VUID = 342

	select 
		CASE
			WHEN zid>=72 AND zid<=108 THEN 1
			WHEN zid>108 AND zid<=144 THEN 2
			WHEN zid>144 AND zid<=192 THEN 3
			WHEN zid>192 THEN 4
		END As ZeitID,
		CASE
			WHEN uid=501 THEN 345
			WHEN uid=502 THEN 207
			WHEN uid=505 THEN 570
			WHEN uid=506 THEN 548
			WHEN uid=507 THEN 342
			WHEN uid=522 THEN 455
		END As VUID,
		vbeitrag As Gewinn
		into Fakten
	from
	[thomas-be19476d].[stone].[dbo].[measure_bs]
	where bid=31 and uid in (501,502,505,506,507,522)
