-- Agrippina Versicherung AG (168)
--    Agrippina Leben AG (342) (hat Daten)
--    Agrippina Rck AG (455) (hat Daten)

-- Allianz Versicherung AG (175)
--	  Allianz Leben (345) (hat Daten)
--	  Allianz Globus AG (207) (hat Daten)
--    Allianz VK (570) (hat Daten)
--    Allianz PK (548) (hat Daten)

-- Klner Postversicherung (87) (noch keine Daten)
-- Versicherungskammer Bayern (165) (noch keine Daten)

-- Zeit
--	  2006 (1)
--    2007 (2)
--    2008 (3)
--    2009 (4)

-- lets dance
Use SEK3_LetsGo
go

-- Schritt 1: kopieren der Unternehmensdaten
Select * into Unternehmen 
from SEK3_Analyse.dbo.Unternehmen 

-- Schritt 2: kopieren der Jahresdaten
Select * into Zeit 
from SEK3_Analyse.dbo.Zeit 

-- Schritt 3: kopieren der Sparten
Select * into Sparte 
from SEK3_Analyse.dbo.Sparten  

-- Schritt 4: kopieren der Fakten fr 6 Unternehmen
select * into Fakten 
from SEK3_Analyse.dbo.Fakten
where VUID in (207,342,345,455,548,570) 

-- Schritt 5: nun bauen wir den Wrfel...
--			  ...aber nicht in diesem Werkzeug :)

-- Schritt 6: wir fgen mal ein paar Unternehmen ein
select * into Unternehmen
from SEK3_Analyse.dbo.Unternehmen 
where VUID < 10

-- Schritt 7: neu berechnen der Dimension

-- Schritt 8: lschen der Daten
delete from unternehmen 
where vuid < 10

-- Schritt 9: weiter gehts mit dem Wrfel

-- Schritt 10: wir fgen neue Fakten hinzu
-- fr das Unternehmen 87 kopiert von 342
insert into Fakten 
select ZeitID,87,Gewinn 
from Fakten where VUID = 342

-- Schritt 11: neu berechnen der Fakten

-- Schritt 12: Aufbau der Tabelle Beteiligung
-- wir bentigen eine Spalte fr 
-- das Unternehmen (INT)
-- den Anteilseigner (INT)
-- den Anteil den der Anteilseigner am Unternehmen besitzt

-- Schritt 14: wir laden mal ein paar Daten
Insert into Beteiligung (Anteilseigner, Unternehmen, Anteil)
Select Anteilseigner, Unternehmen, Anteil 
from SEK3_Analyse.dbo.Beteiligung
where ZeitID = 1 And Anteilseigner <> Unternehmen

-- Schritt 15: Und wieder geht es in den Wrfel

-- Schritt 16: Die Beiteiligung soll Zeitabhngig sein
-- Neue Spalte fr den Zeitverweis anlegen
-- Daten aus der Tabelle lschen
-- Daten aus Quellsystem bernehmen
Truncate table Beteiligung
insert into Beteiligung
select * from SEK3_Analyse.dbo.Beteiligung

-- Schritt 17: Und wieder geht es in den Wrfel





